#include <SoftwareSerial.h>
#include <SimpleDHT.h>

int pinDHT11 = 2;
SimpleDHT11 dht11(pinDHT11);

SoftwareSerial btserial(10, 11);//bluetooth pin

void setup() {
  btserial.begin(9600);
  delay(20);
}

void loop() {
  
  float temperature = 0;
  float humidity = 0;
  int err = SimpleDHTErrSuccess;
  if ((err = dht11.read2(&temperature, &humidity, NULL)) != SimpleDHTErrSuccess) {
    btserial.print("Read DHT11 failed, err="); btserial.println(err);delay(1000);
    return;
  }
  
  btserial.print((float)temperature);
  btserial.print(",");
  btserial.println((float)humidity);
  
  // DHT11 sampling rate is 1.0HZ.
  delay(1000);
}
